This section explains the analysis screen and how information are displayed.

## Description

The analysis screen shows the user a recap of his consumption of the last month.
It allows him to compare his consumption with the previous month and also with an average consumption based on his profile if he completed it.

### Graph

On the left side, the user can see his consumption for the konnected fluids. On the right side, there is by default the consumption of default profile until user completes his own. Once it is done, the comparison is much more accurate.

Also, when user has the possibility to switch the comparison with the average profile or the ideal profile. For now, the ideal profile just represents the average profile's consumption minus 10%.

Each line of the graph is handled by the **AnalysisConsumptionRow** component. It displays the consumption for a given fluid, a draws a bar sized in comparison with the total and applies the 10% ideal coefficient when user clicks on his ideal consumption.

Note that only the consumption related to a connected fluid are taken for the calculation of the total price of the ideal or average consumption, even if the consumption indicators are shown for the non-connected fluids. (it is given a indicator for the user, considering he may use this fluid but doesn't have a connected device)

### Calculation

The **Consumption Service** allows us to get the user's consumption on the given month, and the **Performance Indicator Service** allows us to get the comparative indicator between the currently displayed month and the previous one.

In order to get the accurate consumption estimation, we use the _fluidForecast_ stored in the user's profile. You can see more about it in the next section : [ProfileType](./profile_type.md)

### Notification

Each month, the user will receive a notification to inform him he can consult his new analysis if he activated it in the option page.
